Skip to main content
`Ctrl`+`K`

# DMRedundantCreate

Creates a `DM` object, used to manage data for dense globally coupled variables

## Synopsis

    #include "petscdmredundant.h"
    PetscErrorCode DMRedundantCreate(MPI_Comm comm, PetscMPIInt rank, PetscInt N, DM *dm)

Collective

## Input Parameters

- comm - the processors that will share the global vector

- rank - the MPI rank to own the redundant values

- N - total number of degrees of freedom

## Output Parameter

- dm - the `DM` object of type `DMREDUNDANT`

## See Also

`DM`, `DMREDUNDANT`, `DMDestroy()`, `DMCreateGlobalVector()`, `DMCreateMatrix()`, `DMCompositeAddDM()`, `DMSetType()`, `DMRedundantSetSize()`, `DMRedundantGetSize()`

## Level

advanced

## Location

src/dm/impls/redundant/dmredundant.c

## Examples

src/snes/tutorials/ex21.c
src/snes/tutorials/ex22.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages